### Method

# ECal ComponentDateTime copy

since: 3.34

#### Declaration [src]

    ECalComponentDateTime*
    e_cal_component_datetime_copy (
      const ECalComponentDateTime* dt
    )

#### Description [src]

Creates a new copy of `dt`. The returned structure should be freed with `e_cal_component_datetime_free()` when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentDateTime`

A new `ECalComponentDateTime`, copy of `dt`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.